import { DefaultCatalogDatabase } from '../database/DefaultCatalogDatabase';
import { RefreshOptions, RefreshService } from './types';
export declare class DefaultRefreshService implements RefreshService {
    private database;
    constructor(options: {
        database: DefaultCatalogDatabase;
    });
    refresh(options: RefreshOptions): Promise<void>;
}
